Bug 483328 - bodhi : Unowned directories
bodhi : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 15:38 EST by Michael Schwendt
Modified: 2016-09-19 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 11:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-30 15:38:59 EST
One or more directories are not included within this
package and/or its sub-packages:

=> bodhi-0.5.17-1.fc11.src.rpm
=> bodhi-server-0.5.17-1.fc11.noarch (rawhide-development-i386)
/etc/bodhi

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^bodhi
Comment 1 Toshio Ernie Kuratomi 2009-02-02 20:03:44 EST
Fixed in rawhide.

Fix committed to cvs for F-10, F-9, and EL-5 branches but no packages built as the broken package haven't been pushed into any of those repos.

Luke, what are your plans?
Comment 2 Bug Zapper 2009-06-09 07:00:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Luke Macken 2009-07-22 11:52:43 EDT
Thanks for the fix toshio

Note You need to log in before you can comment on or make changes to this bug.